<HTML>
    <HEAD>
<TITLE> CMD</TITLE>
<link href="../CSS/estilo.css" rel="stylesheet" type="text/css"/>
    </HEAD>
<BODY>
<H1>Comandos CMD</H1>

<H2>PWD</H2>
<P>O pwd (print working directory) é um comando que imprime o nome do diretório local em uma interface de linha de comando.</P>
<h3>Exemplo</h3>
	
        <div class="container">
  <img src =".\img\PWD.png" class="box" alt="Avatar" class="image">
  <div class="overlay">
    <div class="text">$ pwd</div>
  </div>
</div>
	<hr />
	
<H2>CD</H2>
<P>Esse comando é utilizado para mudar de diretório.</P>
<h3>Exemplo</h3>
	
        <div class="container">
  <img src =".\img\CD.png" class="box" alt="Avatar" class="image">
  <div class="overlay">
    <div class="text">cd ..</div>
  </div>
</div>
	<hr />

<H2>RM</H2>
<P>O comando rm do sistema operacional Unix é usado para apagar arquivos.</P>
<h3>Exemplo</h3>
	
        <div class="container">
  <img src =".\img\RM.png" class="box" alt="Avatar" class="image">
  <div class="overlay">
    <div class="text">$ rm -r</div>
  </div>
</div>
	<hr />

<H2>RMDIR</H2>
<P>O comando rmdir(remove directory) é usado no sistema operacional Unix e DOS para remover diretórios vazios.</P>
<h3>Exemplo</h3>
	
        <div class="container">
  <img src =".\img\RMDIR.png" class="box" alt="Avatar" class="image">
  <div class="overlay">
    <div class="text">$ rmdir directory</div>
  </div>
</div>
	<hr />

<H2>TOUCH</H2>
<P>É usado principalmente para criar arquivos vazios, além de alterar o registro de data e hora (timestamp) de arquivos ou pastas.</P>
<h3>Exemplo</h3>
	
        <div class="container">
  <img src =".\img\TOUCH.png" class="box" alt="Avatar" class="image">
  <div class="overlay">
    <div class="text">$ touch</div>
  </div>
</div>
	<hr />

<H2>CLEAR</H2>
<P>Serve para limpar a tela do terminal.</P>
<h3>Exemplo</h3>
	
        <div class="container">
  <img src =".\img\CLEAR.png" class="box" alt="Avatar" class="image">
  <div class="overlay">
    <div class="text">$ clear</div>
  </div>
</div>
	<hr />

<H2>LS</H2>
<P>É um comando usado para listar arquivos e diretórios.</P>
<h3>Exemplo</h3>
	
        <div class="container">
  <img src =".\img\LS.png" class="box" alt="Avatar" class="image">
  <div class="overlay">
    <div class="text">$ ls</div>
  </div>
</div>
	<hr />

<H2>CP</H2>
<P>-R: Copia os arquivos recursivamente. Útil para copiar os arquivos e diretórios abaixo do diretório especificado. 
-a: Faz o mesmo que as opções "-dpR" combinadas. 
-f: Força a cópia, gravando por cima do destino.</P>
<h3>Exemplo</h3>
	
        <div class="container">
  <img src =".\img\CP.png" class="box" alt="Avatar" class="image">
  <div class="overlay">
    <div class="text">$ cp "text.txt"</div>
  </div>
</div>
	<hr />

<H2>LN</H2>
<P>usado para criar uma ligaçao (atalho ou link simbolico como é mais conhecido) entre arquivos do sistema de arquivos.
 As ligaçoes permitem que um mais de um arquivo refira a mesma area de armazenamento.</P>
<h3>Exemplo</h3>
	
        <div class="container">
  <img src =".\img\LN.png" class="box" alt="Avatar" class="image">
  <div class="overlay">
    <div class="text">$ ln</div>
  </div>
</div>
	<hr />

<H2>CAT</H2>
<P>Serve para escrever arquivos de texto, exibir (mostrar na tela) seu conteudo ou ainda concatenar (juntar) dois arquivos de texto</P>
<h3>Exemplo</h3>
	
        <div class="container">
  <img src =".\img\CAT.png" class="box" alt="Avatar" class="image">
  <div class="overlay">
    <div class="text">$ cat</div>
  </div>
</div>
	<hr />

<H2>HEAD</H2>
<P>Usado para mostrar no terminal o conteúdo do inicio de um arquivo de texto.</P>
<h3>Exemplo</h3>
	
        <div class="container">
  <img src =".\img\HEAD.png" class="box" alt="Avatar" class="image">
  <div class="overlay">
    <div class="text">$ head</div>
  </div>
</div>
	<hr />

<H2>TAIL</H2>
<P>O comando tail pode ser utilizado para examinar as ultimas linhas de um arquivo.</P>
<h3>Exemplo</h3>
	
        <div class="container">
 <img src =".\img\TAIL.png" class="box" alt="Avatar" class="image">
  <div class="overlay">
    <div class="text">$ tail</div>
  </div>
</div>
	<hr />

<H2>PS</H2>
<P>Lista os processos em execuçao no sistema. 
A barra vertical, ou pipe (|), faz com que o resultado seja direcionado para o comando grep que, por sua vez filtrara apenas as linhas que tenham a palavra vim.</P>
<h3>Exemplo</h3>
	
        <div class="container">
  <img src =".\img\PS.png" class="box" alt="Avatar" class="image">
  <div class="overlay">
    <div class="text">$ ps</div>
  </div>
</div>
	<hr />

<H2>MV</H2>
<P>O comando mv copia um arquivo da ORIGEM para o DESTINO (semelhante ao cp ), mas após a cópia, o arquivo de ORIGEM é apagado.</P>
<h3>Exemplo</h3>
	
        <div class="container">
 <img src =".\img\MV.png" class="box" alt="Avatar" class="image">
  <div class="overlay">
    <div class="text">$ mv</div>
  </div>
</div>
	<hr />

</BODY>
</HTML>